commit:     15c077dc267ad04956333268fa365880d3a575ce
Author:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
AuthorDate: Wed Oct 21 14:26:03 2015 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Wed Oct 21 14:29:51 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=15c077dc

sys-apps/dog: EAPI 5 bump. Add -lnsl flag to list of flags to get compilation 
to work on sparc. Fixes bug 406527.

Package-Manager: portage-2.2.20.1
Signed-off-by: Patrice Clement <monsieurp <AT> gentoo.org>

 sys-apps/dog/dog-1.7-r5.ebuild | 45 ++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 45 insertions(+)

diff --git a/sys-apps/dog/dog-1.7-r5.ebuild b/sys-apps/dog/dog-1.7-r5.ebuild
new file mode 100644
index 0000000..a05d7c7
--- /dev/null
+++ b/sys-apps/dog/dog-1.7-r5.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+inherit eutils toolchain-funcs
+
+DESCRIPTION="Dog is better than cat"
+# the best HOMEPAGE we have.
+HOMEPAGE="https://packages.gentoo.org/package/sys-apps/dog";
+SRC_URI="mirror://gentoo/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux 
~ppc-macos ~sparc64-solaris"
+IUSE=""
+
+PATCHES=(
+       "${FILESDIR}"/${P}-check-ctime.diff
+       "${FILESDIR}"/${PV}-manpage-touchup.patch
+       "${FILESDIR}"/${P}-64bit-goodness.patch
+       "${FILESDIR}"/${P}-strfry.patch
+)
+
+src_prepare() {
+       epatch "${PATCHES[@]}"
+
+       if [[ "${CHOST}" == *-solaris* ]]; then
+               sed -i '/gcc.*-o dog/s/$/ -lsocket -lnsl/' \
+                       Makefile || die "sed Makefile failed"
+       fi
+
+       sed -i \
+               -e 's,^CFLAGS,#CFLAGS,' \
+               -e "s,gcc,$(tc-getCC)," \
+               -e 's:-o dog:$(LDFLAGS) -o dog:g' \
+               Makefile || die "sed Makefile failed"
+}
+
+src_install() {
+       dobin "${PN}" || die
+       doman "${PN}".1 || die
+       dodoc README AUTHORS || die
+}

Reply via email to